__author__ = "Neil Muller"
__copyright__ = "Copyright (c) 2007 Neil Muller"
__license__ = "MIT-style"

"""
Sound fun
"""

import pygame
import sys, os

pygame.display.init()
try:
    pygame.mixer.init(10500,8)
except Exception, e:
    print "Unable to initialise sound mixer module"
    print e
    sys.exit()

#pygame.mixer.pre_init(10500,8)
#pygame.init()

size=(800,600)
screen=pygame.display.set_mode(size)
pygame.display.set_caption("sounds")
screen=pygame.display.get_surface()

name=os.path.join('sounds','gong.wav')
oGong=pygame.mixer.Sound(name)
oGong.set_volume(0.5)


name=os.path.join('sounds','hiss.wav')
oHiss=pygame.mixer.Sound(name)

oChan=pygame.mixer.Channel(1)
oChan.play(oHiss,-1)
#oChan.set_endevent(pygame.USEREVENT)
#oChan.play(oHiss)

Clock=pygame.time.Clock()

count=0
while True:
    Clock.tick(30)
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            sys.exit()
        #elif event.type == pygame.USEREVENT:
        #    print "channel stopped"
        #    oChan.play(oHiss)
        elif event.type == pygame.KEYUP and event.key == pygame.K_q:
            sys.exit()
        elif event.type == pygame.KEYUP and event.key == pygame.K_a:
            if pygame.mixer.get_busy()>1:
               oGong.stop()
            else:
                oGong.play()
