__author__ = "Neil Muller"
__copyright__ = "Copyright (c) 2007 Neil Muller"
__license__ = "MIT-style"

"""
Change the cursors
"""

import pygame
import sys, os

pygame.display.init()

size=(800,600)
screen=pygame.display.set_mode(size)
pygame.display.set_caption("cursors")
screen=pygame.display.get_surface()

oCursor=pygame.cursors.load_xbm('images/mycursor.xbm','images/mycursor_mask.xbm')

Clock=pygame.time.Clock()
while True:
    Clock.tick(30)
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            sys.exit()
        elif event.type == pygame.KEYUP and event.key == pygame.K_q:
            sys.exit()
        elif event.type == pygame.KEYUP and event.key == pygame.K_a:
            pygame.mouse.set_cursor(*pygame.cursors.arrow)
        elif event.type == pygame.KEYUP and event.key == pygame.K_s:
            pygame.mouse.set_cursor(*pygame.cursors.diamond)
        elif event.type == pygame.KEYUP and event.key == pygame.K_d:
            pygame.mouse.set_cursor(*pygame.cursors.ball)
        elif event.type == pygame.KEYUP and event.key == pygame.K_f:
            pygame.mouse.set_cursor(*pygame.cursors.broken_x)
        elif event.type == pygame.KEYUP and event.key == pygame.K_g:
            pygame.mouse.set_cursor(*pygame.cursors.tri_left)
        elif event.type == pygame.KEYUP and event.key == pygame.K_h:
            pygame.mouse.set_cursor(*oCursor)
